<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%= form_for 'search', url: search_companies_path, method: :post, remote: true, html: { class: 'search_filter_form' } do |f| %>
            <!--left-section-->
                <% if session[:companies_search].present? && request.referer.split('/').include?('companies') %>
                    <%= render partial: 'filtered_list', locals: { f: f } %>
                <% else %>
                    <%= render partial: 'default_list', locals: { f: f } %>
                <% end %>
            <% end %>
                <!--/left-section-->
                <!--middle-section-->
            <div class="col-md-6">
                <div class="article companies">
                    <%= render partial: 'company_list', locals: { companies_petition: @companies_petition, companies_wage: @companies_wage, marker: @markers } %>
                    <!-- <div class="col-sm-12 no_companies">
                        <h1 class="title text-center"> Please Apply Filter </h1>
                    </div> -->
                </div>
            </div>
                                            <!--/middle-section-->
                                            <!--right-section-->
            <div class="fav_companies">
                <%= render 'layouts/sidebar_right' %>
            </div>
                                                                        <!--/right-section-->
        </div>
    </div>
</section>
                                                            <!--/section-->
<script>
$(document).ready(function(){
    $('.year_select').change(function(){
        if($(this).val() == "" || $(this).val() == null){
            $(this).val('2017').select2().trigger('change')
        }
    })
})

$('.chart-cell .star_icon').on('click', function(e){
    console.log($(this).children('a.fav-icon'));
    var company_id = $(this).children('a.fav-icon').data('company-id')
    // var tab_type = $(this).data('tab-type')
    var company_name = $(this).children('a.fav-icon').data('company-name')
    var like = 'unlike'
    if($(this).children('a.fav-icon').hasClass('active') == true){
        $(this).children('a.fav-icon').removeClass('active')
        like = 'unlike'
    }else {
        $(this).children('a.fav-icon').addClass('active')
        like = 'like'
    }
    e.preventDefault()
    e.stopImmediatePropagation()
    console.log(company_id);
    console.log(company_name);
    $.ajax({
        // url: '/companies/add_company_as_favorite',
        url: '/companies/add_company_as_favorite',
        method: 'post',
        data: { company_id: company_id, company_name: company_name, like: like },
        dataType: 'script',
        // success: function(response){
        //     $('.loader').hide()
        //     console.log(response);
        //     toastr.success(response['message'])
        //     window.location.reload(true)
        // },
        // failure: function(response){
        //     $('.loader').hide()
        // }

    })
})
</script>
